/*
 * Copyright (c) 1999 by Sun Microsystems, Inc.
 * All rights reserved.
 */

#ifndef	_SYS_PROJECT_H
#define	_SYS_PROJECT_H

#pragma ident	"@(#)project.h	1.1	00/02/14 SMI"

#ifdef	__cplusplus
extern "C" {
#endif

#include <sys/types.h>
#include <sys/mutex.h>

typedef struct kproject {
	projid_t kpj_id;
	uint_t	 kpj_count;
} kproject_t;

#ifdef _KERNEL

void project_init(void);

kproject_t *project_hold(kproject_t *);
kproject_t *project_hold_by_id(projid_t);
void project_rele(kproject_t *);

extern kproject_t *proj0p;

#endif /* _KERNEL */

#ifdef	__cplusplus
}
#endif

#endif	/* _SYS_PROJECT_H */
